// #define _GLIBCXX_DEBUG
#include <bits/stdc++.h>

using namespace std;

mt19937 rnd(69); // chrono::steady_clock::now().time_since_epoch().count()
#define all(x) x.begin(), x.end()
// #define int long long
const int INF = 1e9 + 69;
const int MOD = 1e9 + 7;
const int p = 31;
#define ull unsigned long long
#define ld long double
#pragma GCC optimize("O3,unroll-loops")
// #pragma GCC target("avx2")

vector<vector<int>> graph;

signed main()
{
    ios_base::sync_with_stdio(false);
    int g, ans, ans_pos;
    cin >> n >> m >> g;
    cout << 1 << " " << 0 << endl;
    return 0;
}
// test
